crashpad::Paths Class Reference

Functions to obtain paths. More...

`#include "util/misc/paths.h"`

## Public Member Functions

| DISALLOW_IMPLICIT_CONSTRUCTORS (Paths)

## Static Public Member Functions

static bool | Executable (base::FilePath *path)
| Obtains the pathname of the currently-running executable. More...

## Detailed Description

Functions to obtain paths.

## Member Function Documentation

## Executable()

bool crashpad::Paths::Executable | ( | base::FilePath * | path | ) |

static

Obtains the pathname of the currently-running executable.

Parameters

  [out] | path | The pathname of the currently-running executable.

Returns
  `true` on success. `false` on failure, with a message logged.

Note
  In test code, use test::TestPaths::Executable() instead.

The documentation for this class was generated from the following files:

- util/misc/paths.h
- util/misc/paths_fuchsia.cc
- util/misc/paths_linux.cc
- util/misc/paths_mac.cc
- util/misc/paths_win.cc